org.apache.hadoop.log

## Class LogLevel

- java.lang.Object
- - org.apache.hadoop.log.LogLevel

-     @InterfaceStability.Evolving
      public class LogLevel
      extends Object

  Change log level in runtime.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROTOCOL_HTTP`
    `static String` | `PROTOCOL_HTTPS`
    `static String` | `USAGES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogLevel()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isValidProtocol(String protocol)`
    `static void` | `main(String[] args)` A command line implementation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USAGES

          public static final String USAGES

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTP

          public static final String PROTOCOL_HTTP

      See Also:
        Constant Field Values

    - #### PROTOCOL_HTTPS

          public static final String PROTOCOL_HTTPS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LogLevel

          public LogLevel()

  - ### Method Detail

    - #### main

          public static void main(String[] args)
                           throws Exception

      A command line implementation
      Throws:
        `Exception`

    - #### isValidProtocol

          public static boolean isValidProtocol(String protocol)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.